OpenMesh::Utils::NumLimitsT< Scalar > Class Template Reference

This class provides the maximum and minimum values a certain scalar type (`int`, `float`, or `double`) can store. More...

`#include <Tools/Utils/NumLimitsT.hh>`

## Public Member Functions

template<>
bool | is_float ()
template<>
bool | is_float ()
template<>
bool | is_float ()
template<>
bool | is_signed ()
template<>
bool | is_signed ()
template<>
bool | is_signed ()
template<>
bool | is_signed ()
template<>
bool | is_signed ()
template<>
int | min ()
template<>
int | max ()
template<>
float | min ()
template<>
float | max ()
template<>
double | min ()
template<>
double | max ()

## Static Public Member Functions

static Scalar | min ()
| Return the smallest absolte value a scalar type can store.
static Scalar | max ()
| Return the maximum absolte value a scalar type can store.
static bool | is_float ()
static bool | is_integer ()
static bool | is_signed ()

## Detailed Description

### template<typename Scalar>
class OpenMesh::Utils::NumLimitsT< Scalar >

This class provides the maximum and minimum values a certain scalar type (`int`, `float`, or `double`) can store.

You can use it like this:

#include <OpenMesh/Utils/NumLimitsT.hh>
int float_min = OpenMesh::NumLimitsT<float>::min();
float double_max = OpenMesh::NumLimitsT<double>::max();

Note
  This functionality should be provided by std::numeric_limits. This template does not exist on gcc <= 2.95.3. The class template NumLimitsT is just a workaround.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Utils/NumLimitsT.hh